org.eclipse.jetty.security.jaspi.modules

## Class BasicAuthModule

- java.lang.Object
- - org.eclipse.jetty.security.jaspi.modules.BaseAuthModule
  - - org.eclipse.jetty.security.jaspi.modules.BasicAuthModule

- All Implemented Interfaces:
    javax.security.auth.message.config.ServerAuthContext, javax.security.auth.message.module.ServerAuthModule, javax.security.auth.message.ServerAuth

  Deprecated.
  use *ServerAuthentication

      public class BasicAuthModule
      extends BaseAuthModule

  Version:
    $Rev: 4660 $ $Date: 2009-02-25 17:29:53 +0100 (Wed, 25 Feb 2009) $

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.security.jaspi.modules.BaseAuthModule

      `callbackHandler, LOGIN_SERVICE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicAuthModule()` Deprecated.
    `BasicAuthModule(javax.security.auth.callback.CallbackHandler callbackHandler, java.lang.String realmName)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize(javax.security.auth.message.MessagePolicy requestPolicy, javax.security.auth.message.MessagePolicy responsePolicy, javax.security.auth.callback.CallbackHandler handler, java.util.Map options)` Deprecated.
    `javax.security.auth.message.AuthStatus` | `validateRequest(javax.security.auth.message.MessageInfo messageInfo, javax.security.auth.Subject clientSubject, javax.security.auth.Subject serviceSubject)` Deprecated.

    - ### Methods inherited from class org.eclipse.jetty.security.jaspi.modules.BaseAuthModule

      `cleanSubject, getSupportedMessageTypes, isMandatory, login, login, secureResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicAuthModule

          public BasicAuthModule()

      Deprecated.

    - #### BasicAuthModule

          public BasicAuthModule(javax.security.auth.callback.CallbackHandler callbackHandler,
                         java.lang.String realmName)

      Deprecated.

  - ### Method Detail

    - #### initialize

          public void initialize(javax.security.auth.message.MessagePolicy requestPolicy,
                        javax.security.auth.message.MessagePolicy responsePolicy,
                        javax.security.auth.callback.CallbackHandler handler,
                        java.util.Map options)
                          throws javax.security.auth.message.AuthException

      Deprecated.
      Specified by:
        `initialize` in interface `javax.security.auth.message.module.ServerAuthModule`
      Overrides:
        `initialize` in class `BaseAuthModule`
      Throws:
        `javax.security.auth.message.AuthException`

    - #### validateRequest

          public javax.security.auth.message.AuthStatus validateRequest(javax.security.auth.message.MessageInfo messageInfo,
                                                               javax.security.auth.Subject clientSubject,
                                                               javax.security.auth.Subject serviceSubject)
                                                                 throws javax.security.auth.message.AuthException

      Deprecated.
      Specified by:
        `validateRequest` in interface `javax.security.auth.message.ServerAuth`
      Overrides:
        `validateRequest` in class `BaseAuthModule`
      Throws:
        `javax.security.auth.message.AuthException`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.